org.apache.xalan.xsltc.runtime

## Class InternalRuntimeError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - org.apache.xalan.xsltc.runtime.InternalRuntimeError

All Implemented Interfaces:
  java.io.Serializable

    public class InternalRuntimeError
    extends java.lang.Error

Class to express failed assertions and similar for the xsltc runtime. As java.lang.AssertionError was introduced in JDK 1.4 we can't use that yet.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InternalRuntimeError(java.lang.String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InternalRuntimeError

    public InternalRuntimeError(java.lang.String message)